/*
 * Copyright (c) 2022, 2023 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * Contributors:
 *   Christopher Guindon <chris.guindon@eclipse-foundation.org>
 *   Olivier Goulet <olivier.goulet@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
*/

@import '../../_components/_mixin.less';

.break-container-reset() {
  position: unset;
  left: unset;
  width: unset;
}

.reset-dropdown() {
  background-color: transparent;
  box-shadow: none;
}

.outline-browser-default() {
  outline: 1px dotted #212121;
  outline: 5px auto -webkit-focus-ring-color;
}

//== Base 
.set-link-color(@color, @visited-color, @hover-color) {
  a {
    color: @color;

    &:visited {
      color: @visited-color;
    }

    &:hover,
    &:focus {
      color: @hover-color;
    }
  }
}

//== Components

// Buttons
// Resets the default button styles.
.reset-button() {
  background-color: transparent;
  border-width: 0;
  font-family: inherit;
  font-size: inherit;
  font-style: inherit;
  font-weight: inherit;
  line-height: inherit;
  padding: 0;
}

.set-button-color(@bg-color) {
  &,
  &:link,
  &:visited {
    background-color: @bg-color;
    border-color: @bg-color;
  }

  &:hover,
  &:active {
    background-color: darken(@bg-color, 10%);
    border-color: darken(@bg-color, 10%);
  }
}

